## org.cybergarage.util
Class StringUtil

    java.lang.Object
      org.cybergarage.util.StringUtil

    public final class StringUtil

extends java.lang.Object

Constructor Summary
`StringUtil()`

Method Summary
`static int` `findFirstNotOf(java.lang.String str, java.lang.String chars)`
`static int` `findFirstOf(java.lang.String str, java.lang.String chars)`
`static int` `findLastNotOf(java.lang.String str, java.lang.String chars)`
`static int` `findLastOf(java.lang.String str, java.lang.String chars)`
`static int` `findOf(java.lang.String str, java.lang.String chars, int startIdx, int endIdx, int offset, boolean isEqual)`
`static boolean` `hasData(java.lang.String value)`
`static int` `toInteger(java.lang.String value)`
`static long` `toLong(java.lang.String value)`
`static java.lang.String` `trim(java.lang.String trimStr, java.lang.String trimChars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### hasData

    public static final boolean hasData(java.lang.String value)

### toInteger

    public static final int toInteger(java.lang.String value)

### toLong

    public static final long toLong(java.lang.String value)

### findOf

    public static final int findOf(java.lang.String str,
                                   java.lang.String chars,
                                   int startIdx,
                                   int endIdx,
                                   int offset,
                                   boolean isEqual)

### findFirstOf

    public static final int findFirstOf(java.lang.String str,
                                        java.lang.String chars)

### findFirstNotOf

    public static final int findFirstNotOf(java.lang.String str,
                                           java.lang.String chars)

### findLastOf

    public static final int findLastOf(java.lang.String str,
                                       java.lang.String chars)

### findLastNotOf

    public static final int findLastNotOf(java.lang.String str,
                                          java.lang.String chars)

### trim

    public static final java.lang.String trim(java.lang.String trimStr,
                                              java.lang.String trimChars)